Module java.corba
Package org.omg.CORBA

## Class NO_IMPLEMENT

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.omg.CORBA.SystemException
        - - org.omg.CORBA.NO_IMPLEMENT

All Implemented Interfaces:
  Serializable

    public final class NO_IMPLEMENT
    extends SystemException

This exception indicates that even though the operation that was invoked exists (it has an IDL definition), no implementation for that operation exists. `NO_IMPLEMENT` can, for example, be raised by an ORB if a client asks for an object's type definition from the interface repository, but no interface repository is provided by the ORB.

It contains a minor code, which gives more detailed information about what caused the exception, and a completion status. It may also contain a string describing the exception.

See the section Minor Code Meanings to see the minor codes for this exception.

Since:
  JDK1.2

### Field Summary

### Fields inherited from class org.omg.CORBA.SystemException

`completed, minor`

### Constructor Summary

Constructors
Constructor and Description
`NO_IMPLEMENT()` Constructs a `NO_IMPLEMENT` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.
`NO_IMPLEMENT(int minor, CompletionStatus completed)` Constructs a `NO_IMPLEMENT` exception with the specified minor code and completion status.
`NO_IMPLEMENT(String s)` Constructs a `NO_IMPLEMENT` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.
`NO_IMPLEMENT(String s, int minor, CompletionStatus completed)` Constructs a `NO_IMPLEMENT` exception with the specified description message, minor code, and completion status.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from class org.omg.CORBA.SystemException

`toString`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

### Constructor Detail

#### NO_IMPLEMENT

    public NO_IMPLEMENT()

Constructs a `NO_IMPLEMENT` exception with a default minor code of 0, a completion state of CompletionStatus.COMPLETED_NO, and a null description.

#### NO_IMPLEMENT

    public NO_IMPLEMENT(int minor,
                        CompletionStatus completed)

Constructs a `NO_IMPLEMENT` exception with the specified minor code and completion status.

Parameters:
  `minor` - an `int` specifying the minor code
  `completed` - a `CompletionStatus` instance indicating the completion status

#### NO_IMPLEMENT

    public NO_IMPLEMENT(String s)

Constructs a `NO_IMPLEMENT` exception with the specified description message, a minor code of 0, and a completion state of COMPLETED_NO.

Parameters:
  `s` - the String containing a description of the exception

#### NO_IMPLEMENT

    public NO_IMPLEMENT(String s,
                        int minor,
                        CompletionStatus completed)

Constructs a `NO_IMPLEMENT` exception with the specified description message, minor code, and completion status.

Parameters:
  `s` - the String containing a description message
  `minor` - an `int` specifying the minor code
  `completed` - a `CompletionStatus` instance indicating the completion status